Summary: A performance monitoring library for Linux
Name: libpfm
Version: 3.5
Release: 4%{?dist}
License: MIT
Group: Development/Libraries
ExclusiveArch: ia64 %{ix86} x86_64 ppc ppc64
ExclusiveOS: linux
Source: http://prdownloads.sourceforge.net/perfmon2/%{name}-%{version}.tar.gz
URL: http://sourceforge.net/projects/perfmon2/

Patch3: libpfm-3.2-rpm_opt.patch
#Patch4: libpfm-3.2-man3.patch
Patch5: libpfm-3.3-ia64-build.patch
Patch6: libpfm-3.4-unused.patch

BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contains a library to develop performance monitoring 
applications using the Performance Monitor Unit (PMU) available on
various processors.

%package devel
Summary: the Linux performance library (libpfm) development files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The performance monitoring library (libpfm) is used to develop 
performance monitoring applications using the Performance Monitoring 
Unit (PMU) available on various processors. This package provides the
files necessary for development of applications.
It requires a kernel perfmon-2.x subsystem.

Requires: ncurses

%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 -b .rpm_opt
#%patch4 -p1 -b .man3
%patch5 -p1 -b .ia64build
%patch6 -p1 -b .unused

%build
make	PREFIX=/usr DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install  PREFIX=/usr DESTDIR=%{buildroot} LIBDIR=%{_libdir}
# If we need this static library, make a -static subpackage for it.
rm -rf %{buildroot}/%{_libdir}/*.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_mandir}/man3/*
%{_libdir}/libpfm.so
%{_includedir}/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.5-2
- fix license tag
- package cleanups (drop static library, package shared bits correctly)

* Thu Jul 31 2008 Will Cohen <wcohen@redhat.com> - 3.5-1
- Update to libpfm-3.5.

* Fri May 2 2008 Will Cohen <wcohen@redhat.com> - 3.4-1
- Update to libpfm-3.4.

* Tue Feb 26 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.2
- Correct possibly unitialized variable umask. Resolves: rhbz #434968

* Mon Feb 25 2008 Will Cohen <wcohen@redhat.com> - 3.3-0.080225.1
- Update to libpfm-3.3.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2-1.071017.1
- Autorebuild for GCC 4.3

* Wed Oct 24 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.071017.1
- Update to libpfm-3.2-071017.

* Tue Aug 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.3
- rebuild

* Mon May 21 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.2
- Fix up rpmlint complaints.

* Mon Dec 4 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.061205.1
- Update to libpfm-3.2-061205.

* Fri Nov 3 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.3
- Add dist tag to build.

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.2
- Eliminate unneeded libpfm-compa.tpatch.

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.1
- Update to libpfm-3.2-060926.

* Tue Sep 19 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060621.10
- Make sure fix works on i386. (#205221)

* Tue Sep 19 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060621.9
- Make sure libraries put in correct directory. (#205221)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2-0.060621.8.1
- rebuild

* Sat Jul 8 2006 Will Cohen <wcohen@redhat.com>
- Avoid pulling in the example ELF executable into /usr/share. (#198001)
- Mark man pages as documentation.

* Tue Jun 27 2006 Will Cohen <wcohen@redhat.com>
- Add ncurses requires.
- Add ncurses-devel buildprereq.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Make sure that CFLAGS in pfmlib/lib/ is used.
- Separate build and install processes.
- Clean up the descriptions.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060621.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060613.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- fno-strict-aliasing so ia64 builds.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- make sure that perfmon_compat.h installed for ia64.

* Thu May 04 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060421.

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-4.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar 14 2005 Will Cohen <wcohen@redhat.com>
- Bump rebuild with gcc4.

* Tue Oct 26 2004 Will Cohen <wcohen@redhat.com>
- Correct ownership of files.

* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Mon Dec 1  2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0 final version
* Thu Jan 02  2003 Stephane Eranian <eranian@hpl.hp.com>
- release final 2.0 version
* Fri Dec 20  2002 Stephane Eranian <eranian@hpl.hp.com>
- final 2.0 release
* Thu Dec 05  2002 Stephane Eranian <eranian@hpl.hp.com>
- initial release of the library as a standalone package
- see ChangeLog for actual log
